| Home | Libraries | People | FAQ | More

##### basic_static_string::operator= (4 of 6 overloads)

Assign to the string.

###### Synopsis

    basic_static_string&
    operator=(
        value_type ch);

###### Description

Replaces the contents with a single copy of the character `ch`.

###### Complexity

Constant.

###### Exception Safety

Strong guarantee.

###### Return Value

`*this`

###### Parameters

Name | Description
--- | ---
`ch` | The character to assign to.

###### Exceptions

Type | Thrown On
--- | ---
`std::length_error` | `count > max_size()`.